# Bienvenue

Bienvenue sur votre instance JupyterLab!

Accédez à `/lab` au lieu de `/tree` pour utiliser la version JupyterLab

Visitez https://dvic.devinci.fr/gitlab/server/documentation pour avoir la dernière documentation sur l'infrastructure DVIC.

# Informations importante

Veuillez lire et comprendre ce document Thourroughly avant d'utiliser le logiciel.

## Section technique

### Caractéristiques du matériel

- HPC Intel (R) Xeon (R) CPU E5649 @ 2.53GHz 50gi RAM
OU ALORS
- NVIDIA DGX WORKSTATION 200G RAM 4X TESLA V100

### Installation de packages

- Utilisez `apt-get Installer` pour installer un package
- Utilisez `PIP INSTALL <PAYS>` pour installer un nouveau package Python

### Restriction de réseau

- Le trafic entrant est bloqué
- Le trafic sortant est autorisé sur les ports 53 / UDP (DNS) 80 / TCP (http) 443 / TCP (HTTPS)
- ICMP (ping) est désactivé

### PRIVILES ADMINISTRATIFS

- Vous avez des privilèges administratifs (accès root) sur votre instance et pouvez installer, supprimer, modifier tout fichier ou logiciel. (Voir «Legal» de voir l'étendue de cette permission)

### La conservation des données

- Dans la version actuelle, seules les données dans /home/{login}/persisted seront conservées et persistées à travers les redémarrages. N'oubliez pas que si vous travaillez sur le DGX, l'espace disponible ailleurs dans le conteneur est beaucoup plus gros.
- Gardez également à l'esprit que lire et écrire aura un débit plus lent dans 'persisted'
- Gardez également à l'esprit que l'espace de dossier persisté est limité.

Une utilisation recommandée serait:
- Placez vos scripts et vos modèles formés dans la zone `persisted`.
- Téléchargez ou générez votre jeu de données ailleurs dans le conteneur et prenez ce temps en compte lors de la réservation de temps pour la DGX.

## Section juridique

En utilisant ce logiciel, vous acceptez de compléter l'entitivité de cette section.

### Non-responsabilité

The Software is provided “as is”, without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement.
In no event shall the "Association Leonard de Vinci" or the "DeVinci Innovation Center" be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the Software.

### Rappel de la loi

- Vous êtes toujours sous la carte d'utilisation électronique et d'utilisation de l'association Léonard de Vinci lors de l'utilisation de ce logiciel.
- Vous êtes en vertu de la loi française tout en utilisant ce logiciel et en particulier dans le cadre de l'article 323 du Code pénal concernant les "attaques sur les systèmes de traitement de données automatisées"
(https://www.legifrance.gouv.fr/affichcode.do?idsectionta=legiscta000006149839&cidtextetexte=legitext000006070719&datetexte=20081105)
- Toute violation de ce qui précède entraînera systématiquement des actions disciplinaires et éventuellement légales.
- Si vous deviez découvrir par hasard une vulnérabilité de sécurité dans ce logiciel ou dans l'infrastructure, contactez les administrateurs sans délai à `dvic.devinci.fr`.

### Des cas d'utilisation spécifiques prohibés

- Le logiciel est destiné à être utilisé comme plate-forme de recherche pour des sujets tels que la datascience ou des cas d'utilisation similaires.
- Le minage de Bitcoin (ou tout autre crypto) est interdit.
- La mise en place d'un point d'accès crypté est strictement interdite et **AURA** des répercussions. (Tor Router / VPN Access / Tunnel SSH, etc.)

### Autre

- L'équipe administrative DVIC conserve le droit de résilier votre accès sans préavis à n'importe quel moment.
- L'équipe administrative DVIC conserve le droit d'explorer, d'inspecter, de copier ou de supprimer tout fichier ou logiciel que vous introduisez sur l'instance sans préavis.

Pour toute autre demande, contactez dvic@devinci.fr