# Welcome

Welcome to your JupyterLab instance !

Access `/lab` instead of `/tree` to use the JupyterLab version

Visit https://dvic.devinci.fr/gitlab/server/documentation to have the latest documentation about the DVIC Infrastructure.

# Important Information

Please read and understand this document thouroughly before using the software.

## Technical section

### Hardware characteristics

- HPC Intel(R) Xeon(R) CPU E5649  @ 2.53GHz 50Gi RAM
OR
- Nvidia DGX Workstation 200G RAM 4x Tesla V100

### Installing packages

- Use `apt-get install` to install a package
- Use `pip install <package>` to install a new python package

### Network restriction

- Incoming trafic is blocked
- Outgoing trafic is allowed on ports 53/UDP (DNS) 80/TCP (HTTP) 443/TCP (HTTPS)
- ICMP (ping) is disabled

### Administrative priviledges

- You have administrative priviledges (root access) on your instance and can install, delete, modify any file or software. (See `Legal` to see the extent of this permission)

### Data retention

- In the current version, only the data in /home/{login}/persisted will be retained and persisted across restarts. Keep in mind that if you work on the DGX, the available space  elsewhere in the container is much bigger. 
- Also keep in mind that read and write throughput are slower in the retained folder.
- Also keep in mind that the persisted folder space is limited.

A recommended usage would be: 
- Place your scripts and trained models in the retained area.
- Download or generate your dataset elsewhere in the container and take this time into account when booking time for the DGX.

## Legal section

By using this software you agree completly to the entierty of this section.

### Non-liability

The Software is provided “as is”, without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement.
In no event shall the "Association Leonard de Vinci" or the "DeVinci Innovation Center" be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the Software.

### A reminder of the law  

- You are still under the "Association Léonard de Vinci" electronic and computer usage chart while using this software.
- You are under the French Law while using this software and especially under the Article 323 Of the Penal Code regarding "Attacks on automated data processing systems"
(https://www.legifrance.gouv.fr/affichCode.do?idSectionTA=LEGISCTA000006149839&cidTexte=LEGITEXT000006070719&dateTexte=20081105)
- Any violation of the above will systematically result in disciplinary and possibly legal actions.
- If you were to discover by chance a safety vulnerability in this software or in the infrastrucure, contact the adminitrators without delay at `dvic@devinci.fr`.

### About specific prohibited use cases

- The software is intended to be used as a research platform for DataScience or similar use cases.
- Bitcoin (or any other crypto) mining is forbidden.
- Setting up an encrypted access point is strictly forbidden and WILL get you banned. (Tor router/ Vpn access / SSH Tunnel etc...)

### Other

- The DVIC administrative team retains the right to terminate your access without notice at any moment for any reason.
- The DVIC administrative team retains a right to explore, inspect, copy or delete any file or software you introduce on the instance without prior notice.


For any inquiry, please contact dvic@devinci.fr